realpath
rewind
Filesystem Functions
PHP Manual

# rename

(PHP 4, PHP 5, PHP 7)

rename — Renames a file or directory

### Description

bool rename ( string `$oldname` , string `$newname` [, resource `$context` ] )

Attempts to rename `oldname` to `newname`, moving it between directories if necessary. If `newname` exists, it will be overwritten.

### Parameters

`oldname`

  > Note:

  > The old name. The wrapper used in `oldname` must match the wrapper used in `newname`.

`newname`

  The new name.

`context`

  > Note: Context support was added with PHP 5.0.0. For a description of contexts, refer to Streams.

### Return Values

Returns `TRUE` on success or `FALSE` on failure.

### Changelog

Version | Description
--- | ---
5.3.1 | rename() can now rename files across drives in Windows.
5.0.0 | rename() can now also be used with some URL wrappers. Refer to Supported Protocols and Wrappers for a listing of which wrappers support rename().
4.3.3 | rename() may now be able to rename files across partitions on *nix based systems, provided the appropriate permissions are held. Warnings may be generated if the destination filesystem doesn't permit chown() or chmod() system calls to be made on files — for example, if the destination filesystem is a FAT filesystem.

### Examples

Example #1 Example with rename()

`<?php
rename("/tmp/tmp_file.txt", "/home/user/login/docs/my_file.txt");
?>`

### See Also

- copy() - Copies file
- unlink() - Deletes a file
- move_uploaded_file() - Moves an uploaded file to a new location

realpath
rewind
Filesystem Functions
PHP Manual